<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";	

echo'<img src="../images/img/profiles.gif" alt=""> <b>Статистика сайта</b><br><br>'; 

$pcount=file(BASEDIR."local/datacounter/host.dat");
$pcount =explode("#",$pcount[0]);
$pcounter_host=$pcount[1];
$pcounter_all=$pcount[2];
$pcounter_hourhost=$pcount[4];

$phcount=file(BASEDIR."local/datacounter/hits.dat");
$phcount =explode("#",$phcount[0]);
$pcounter_hits=$phcount[1];
$pcounter_allhits=$phcount[2];
$pcounter_hourhits=$phcount[4];

echo 'Хостов сегодня: <b>'.(int)$pcounter_host.'</b><br>';
echo 'Хитов сегодня: <b>'.(int)$pcounter_hits.'</b><br>';
echo 'Всего хостов: <b>'.(int)$pcounter_all.'</b><br>';
echo 'Всего хитов: <b>'.(int)$pcounter_allhits.'</b><br>';


$lines=file(BASEDIR."local/dataforum/mainforum.dat");
$itogotem="0"; $itogomsg="0";

foreach($lines as $value){
$dt=explode("|", $value);
$itogotem+=$dt[4];
$itogomsg+=$dt[5];	
}


$f = file(BASEDIR."local/local.dat"); 
$u = explode("|",$f[0]);

echo'Сделано записей в гостевой: <b>'.(int)$u[0].'</b><br>';
echo'Создано тем в форуме: <b>'.(int)$itogotem.'</b><br>';
echo'Сделано записей в форуме: <b>'.(int)$itogomsg.'</b><br>';
echo'Сделано записей в чате: <b>'.(int)$u[1].'</b><br>';
echo'Всего новостей: <b>'.(int)$u[4].'</b><br>';
echo'Комментариев в новостях: <b>'.(int)$u[3].'</b><br>';
echo'Комментариев в загрузках: <b>'.(int)$u[5].'</b><br>';
echo'Комментариев в библиотеке: <b>'.(int)$u[6].'</b><br>';


echo'Забаненых по IP: <b>'.counter_string(BASEDIR."local/ban.dat").'</b><br>';
echo'Зарегистрировано пользователей: <b>'.counter_string(BASEDIR."local/datatmp/userlist.dat").'</b><br>'; 


$tot=$u[0]+$u[1]+$u[2]+$u[3]+$u[4]+$u[5]+$u[6];

//$u[0]=гостевая
//$u[1]=чат
//$u[2]=постов в форуме
//$u[3]=комментов в новостях
//$u[4]=новостей
//$u[5]=комментов в загрузках
//$u[6]=комментов в библиотеке

echo'Актив сайта: <b>'.(int)$tot.'</b> баллoв(а)';

echo'<br><br><img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a><br>';
include_once"../themes/$config_themes/foot.php";
?>